#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0x354057b3, "module_layout" },
	{ 0x3e8e3012, "nft_unregister_expr" },
	{ 0xe3bef7fa, "nft_register_expr" },
	{ 0xc3064357, "nf_tproxy_handle_time_wait6" },
	{ 0x9a5da0a, "nf_tproxy_handle_time_wait4" },
	{ 0x940dc460, "sock_edemux" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x3c58ce43, "nf_tproxy_laddr4" },
	{ 0x28396ebb, "nf_tproxy_get_sock_v4" },
	{ 0x7abd0d05, "sock_gen_put" },
	{ 0x6d0ff56f, "nf_tproxy_laddr6" },
	{ 0x4800de78, "nf_tproxy_get_sock_v6" },
	{ 0xc6711b82, "skb_copy_bits" },
	{ 0xe2b8cc13, "nft_parse_register_load" },
	{ 0xc6b725d7, "nf_defrag_ipv6_enable" },
	{ 0xfc5eddd8, "nf_defrag_ipv4_enable" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xde365ed6, "nft_dump_register" },
	{ 0xadc2ce81, "nla_put" },
	{ 0x4c26b4c, "nft_chain_validate_hooks" },
	{ 0xbdfb6dbb, "__fentry__" },
};

MODULE_INFO(depends, "nf_tables,nf_tproxy_ipv6,nf_tproxy_ipv4,nf_defrag_ipv6,nf_defrag_ipv4");


MODULE_INFO(srcversion, "A9334377E32C07A2300EC4A");
